Bug 63282 - bad mixed CD hangs CD player/mount
bad mixed CD hangs CD player/mount
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-11 19:44 EDT by Craig Lawson
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig Lawson 2002-04-11 19:44:25 EDT
Description of Problem:
gtcd gets stuck in scanning mode when a flawed audio CD is inserted into the CD
drive. Also unable to mount the CD: mount hangs.

Version-Release number of selected component (if applicable):
Kernel: 2.4.9-31 i686
gtcd: 1.2.3
CPU: Pentium 3 933Mz
RAM: 256 Mb
Plextor CD-RW PX-W1610A Rev: 1.03 ATAPI


How Reproducible:
80-100% (not sure)

Steps to Reproduce:
1. Put a flawed audio or mixed-mode CD into the drive. Sorry, I don't have a
recipe for making them, but I imagine they are not scarce.
2. Start gtcd.
3. Attempt to mount the CD.

Actual Results:
  gtcd enters "Scanning" mode. Not interruptable. System load increases. If I
kill gtcd, system load remains higher than normal and the CD still spins.
  Attempting to mount the CD causes mount to not complete.
  Remedy: reboot.

A selection from my log:
  Apr 10 18:42:30 localhost kernel: hdd: packet command error: error=0x54
  Apr 10 18:42:30 localhost kernel: ATAPI device hdd:
  Apr 10 18:42:30 localhost kernel:   Error: Illegal request -- (Sense key=0x05)
  Apr 10 18:42:30 localhost kernel:   Invalid field in command packet --
(asc=0x24, ascq=0x00)
  Apr 10 18:42:30 localhost kernel:   The failed "Play Audio MSF" packet command
was: 
  Apr 10 18:42:30 localhost kernel:   "47 00 00 0d 08 16 0d 08 00 00 00 00 "
  Apr 10 18:43:01 localhost kernel: cdrom: This disc doesn't have any tracks I
recognize!
  Apr 10 18:46:47 localhost gconfd (craig-1079): 4 items remain in the cache
after cleaning already-synced items older than 300 seconds
  Apr 10 18:47:29 localhost kernel:  I/O error: dev 0b:00, sector 64
  Apr 10 18:47:29 localhost kernel: isofs_read_super: bread failed, dev=0b:00,
iso_blknum=16, block=16
  Apr 10 18:50:20 localhost kernel: cdrom: This disc doesn't have any tracks I
recognize!
  Apr 10 18:50:52 localhost last message repeated 16 times
  Apr 10 18:51:53 localhost last message repeated 31 times
  Apr 10 18:52:54 localhost last message repeated 30 times
  (etc.)

And a bunch of these:
  Apr 10 19:05:06 localhost kernel: SCSI host 0 abort (pid 0) timed out - resetting
  Apr 10 19:05:06 localhost kernel: SCSI bus is being reset for host 0 channel 0.
  Apr 10 19:05:06 localhost kernel: scsi : aborting command due to timeout : pid
0, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00 


Expected Results:
Several changes would be nice:
 (a) Give up scanning the audio CD after a while. Either gtcd should give up, or
 (probably more importantly), the kernel should give up. Eject the CD or something.
 (b) Mount should time out after a while.
Comment 1 Bugzilla owner 2004-09-30 11:39:29 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.